package configuration

type (
	AddConfigurationJsonBody struct {
		Scope string `json:"scope" binding:"required" assign:"toField:Scope"`
		Group string `json:"group" binding:"required" assign:"toField:Group"`
		Value string `json:"value" binding:"required" assign:"toField:Value"`
	}

	RemoveConfigurationJsonBody struct {
		Scope string `json:"scope" binding:"required" assign:"toField:Scope"`
		Group string `json:"group" binding:"required" assign:"toField:Group"`
	}

	GetConfigurationValuesQueryParams struct {
		Scope string `form:"scope" assign:"toField:Scope"`
		Group string `form:"group" assign:"toField:Group"`
	}
)
