package sql_executor

import (
	"git.sxidc.com/go-framework/baize/framework/core/api/request"
)

type ExecuteSqlJsonBody struct {
	Sql          string `json:"sql" binding:"required"`
	ExecutorID   string `json:"executorId" binding:"required"`
	ExecutorName string `json:"executorName" binding:"required"`
}

type QuerySqlExecuteLogQueryParams struct {
	request.BaseQueryParams
	Sql              string `form:"sql"`
	ExecutorID       string `form:"executorId"`
	ExecutorName     string `form:"executorName"`
	StartExecuteTime string `form:"startExecuteTime"`
	EndExecuteTime   string `form:"endExecuteTime"`
}
