package binding

import (
	"git.sxidc.com/go-framework/baize/framework/core/api"
	"git.sxidc.com/go-framework/baize/framework/core/infrastructure"
)

type Binder struct {
	router api.Router
	i      *infrastructure.Infrastructure
}

// NewBinder 构造Binder
// 参数：
// - router: 使用的路由
// - i: 使用的基础设施
// 返回值:
// - 构造的binder
func NewBinder(router api.Router, i *infrastructure.Infrastructure) *Binder {
	return &Binder{
		router: router,
		i:      i,
	}
}
