package application

// InfoIDField Info的ID字段
type InfoIDField struct {
	ID string `json:"id" sqlresult:"column:id"`
}

// InfoTenantIDField Info的租户ID字段
type InfoTenantIDField struct {
	TenantID string `json:"tenantId" sqlresult:"column:tenant_id"`
}

// InfoUserIDFields Info的用户ID相关字段
type InfoUserIDFields struct {
	CreateUserID     string `json:"createUserId" sqlresult:"column:create_user_id;"`
	LastUpdateUserID string `json:"lastUpdateUserId" sqlresult:"column:last_update_user_id;"`
}

// InfoTimeFields Info的时间相关字段
type InfoTimeFields struct {
	CreatedTime     string `json:"createdTime" sqlresult:"column:created_time;timeLayout:'2006-01-02 15:04:05'"`
	LastUpdatedTime string `json:"lastUpdatedTime" sqlresult:"column:last_updated_time;timeLayout:'2006-01-02 15:04:05'"`
}
